jQuery( document ).ready( function() {
	// set some default Highchart options
	Highcharts.setOptions( {
		// no link to highcharts.com
		credits: {
			enabled: false
		},
		// Google Chart colors
		colors: [ '#3366CC', '#DC3912', '#FF9900', '#109618', '#990099', '#0099C6', '#DD4477', 
				'#66AA00', '#B82E2E', '#316395', '#994499', '#22AA99', '#AAAA11', '#6633CC',
				'#E67300', '#8B0707', '#651067', '#329262', '#5574A6', '#3B3EAC', '#B77322',
				'#16D620', '#B91383', '#F4359E', '#9C5935', '#A9C413', '#2A778D', '#668D1C',
				'#BEA413', '#0C5922', '#743411' ],
		// NL
		lang: {
			resetZoom: "weer uitzoomen",
			resetZoomTitle: "uitzoomen naar 1:1"
		}
	});
	
	// user selection on the statistics page
	line_chart_control();
	
	// fancybox
	jQuery( "a#thumb" ).fancybox( {
		'transitionIn'	:	'elastic',
		'transitionOut'	:	'elastic',
		'speedIn'		:	600, 
		'speedOut'		:	200 
	} );

});

function line_chart_control() {
	jQuery( "input:checkbox", "ol.userselector" ).bind( "click", function() {
		jQuery( this ).parent().toggleClass( "selected" );
	} );
}

function change_joker( id ) {
	// set the joker input
	jQuery( "input[name*='_joker']", "#predictionform" ).val( id.substring( id.indexOf( "_" ) + 1 ) );
	// remove old joker
	jQuery( ".joker", "#matchinfo" ).removeClass( "joker" ).addClass( "nojoker" );
	// set new joker
	jQuery( "#" + id ).removeClass( "nojoker" ).addClass( "joker" );
}

function update_chars( id, chars ) {
	var length = jQuery( "#" + id ).val().length;
	var remaining = chars - length;
	jQuery( "#" + id ).parent().find( "span span" ).replaceWith( "<span>" + remaining + "</span>" );
}

function do_countdown( el, text, year, month, day, hour, minute, second, format ) {
	var date_to = new Date(year, month-1, day, hour, minute, second).getTime();
	var date_now = new Date().getTime();
	var diff = Math.abs(Math.round((date_to - date_now) / 1000));
	var pre, post, txt = '';

	if ( date_to < date_now ) {
		pre = text['pre_after'], post = text['post_after'];
	} else {
		pre = text['pre_before'], post = text['post_before'];
	}
	
	var tmp;
	
	switch ( format ) {
		case 1: // only seconds
			txt += diff + ' ' + ( diff == 1 ? text['second'] : text['seconds'] );
			break;
		case 2: // days, hours, minutes, seconds
			switch ( true ) {
				case diff > 86400:
					tmp = Math.floor( diff / 86400 );
					txt += tmp + ' ' + ( tmp == 1 ? text['day'] : text['days'] ) + ', ';
					diff -= tmp * 86400;
				case diff > 3600:
					tmp = Math.floor( diff / 3600 );
					txt += tmp + ' ' + ( tmp == 1 ? text['hour'] : text['hours'] ) + ', ';
					diff -= tmp * 3600;
				case diff > 60:
					tmp = Math.floor( diff / 60 );
					txt += tmp + ' ' + ( tmp == 1 ? text['minute'] : text['minutes'] ) + ', ';
					diff -= tmp * 60;
				default:
					txt += diff + ' ' + ( diff == 1 ? text['second'] : text['seconds'] );
			}
			break;
		case 3: // hours, minutes, seconds
			switch ( true ) {
				case diff > 3600:
					tmp = Math.floor( diff / 3600 );
					txt += tmp + ' ' + ( tmp == 1 ? text['hour'] : text['hours'] ) + ', ';
					diff -= tmp * 3600;
				case diff > 60:
					tmp = Math.floor( diff / 60 );
					txt += tmp + ' ' + ( tmp == 1 ? text['minute'] : text['minutes'] ) + ', ';
					diff -= tmp * 60;
				default:
					txt += diff + ' ' + ( diff == 1 ? text['second'] : text['seconds'] );
			}
			break;
	}
	
	jQuery( el ).text( pre + txt + post );
}
